wibble::list::Append< T1, T2 > Struct Template Reference

`#include <list.h>`

Collaboration diagram for wibble::list::Append< T1, T2 >:
[legend]

## Public Types

typedef T1::Type | Type

## Public Member Functions

| Append ()
| Append (T1 a, T2 b)
Type | head () const
bool | empty () const
Append | tail () const

## Public Attributes

T1 | m_1
T2 | m_2

## Member Typedef Documentation

## Type

template<typename T1 , typename T2 >

typedef T1::Type wibble::list::Append< T1, T2 >::Type

## Constructor & Destructor Documentation

## Append() [1/2]

template<typename T1 , typename T2 >

wibble::list::Append< T1, T2 >::Append | ( |  | ) |

inline

## Append() [2/2]

template<typename T1 , typename T2 >

wibble::list::Append< T1, T2 >::Append | ( | T1 | a,
|  | T2 | b
| ) |  |

inline

## Member Function Documentation

## empty()

template<typename T1 , typename T2 >

bool wibble::list::Append< T1, T2 >::empty | ( |  | ) | const

inline

References wibble::list::Append< T1, T2 >::m_1, and wibble::list::Append< T1, T2 >::m_2.

## head()

template<typename T1 , typename T2 >

Type wibble::list::Append< T1, T2 >::head | ( |  | ) | const

inline

References wibble::list::Append< T1, T2 >::m_1, and wibble::list::Append< T1, T2 >::m_2.

## tail()

template<typename T1 , typename T2 >

Append wibble::list::Append< T1, T2 >::tail | ( |  | ) | const

inline

References wibble::list::Append< T1, T2 >::m_1, and wibble::list::Append< T1, T2 >::m_2.

## Member Data Documentation

## m_1

template<typename T1 , typename T2 >

T1 wibble::list::Append< T1, T2 >::m_1

Referenced by wibble::list::Append< T1, T2 >::empty(), wibble::list::Append< T1, T2 >::head(), and wibble::list::Append< T1, T2 >::tail().

## m_2

template<typename T1 , typename T2 >

T2 wibble::list::Append< T1, T2 >::m_2

Referenced by wibble::list::Append< T1, T2 >::empty(), wibble::list::Append< T1, T2 >::head(), and wibble::list::Append< T1, T2 >::tail().

The documentation for this struct was generated from the following file:

- list.h